Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Schraffuren nach Farben auswählen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Schraffuren nach Farben auswählen (358 mal gelesen)
muntafuner
Mitglied
Architekt


Sehen Sie sich das Profil von muntafuner an!   Senden Sie eine Private Message an muntafuner  Schreiben Sie einen Gästebucheintrag für muntafuner

Beiträge: 14
Registriert: 18.10.2019

Revit 2020/Autocad 2020/Autocad Architecture 2020

erstellt am: 22. Okt. 2019 15:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

ich bin auf der Suche nach einer Lösung (wahrscheinlich am besten mittels einer Lisp-Datei) für folgende Problemstellung:

Derzeit bin ich beschäftigt erhaltene Zeichnungen auf meinen Layer-Standard zu bringen. Dabei liegen alle Schraffuren der erhaltenen Zeichnung auf dem Layer "Poly_Muster" jedoch mit verschiedenen Farben.

Nun möchte ich zum Beispiel alle Schraffuren auf dem Layer Poly_Muster mit der Farbe 241,227,215 auswählen und auf meinen Layer "Poly_Stahlbeton" mit der Farbe VonLayer setzen. Diese Funktion sollte ich für alle Schraffuren der Zeichnung haben.

Des Weiteren wäre es super, wenn ich gleichzeitig alle Schraffuren aus sämtlichen Blöcken löschen könnte ohne, dass ich dabei die Blöcke auflösen muss.

Danke für eure Unterstützung!

PS: Gibt es einen Befehl, der in das Skript eingefügt werden kann, dass zu allererst ein Layerstatus geladen wird?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Vino
Mitglied



Sehen Sie sich das Profil von Vino an!   Senden Sie eine Private Message an Vino  Schreiben Sie einen Gästebucheintrag für Vino

Beiträge: 158
Registriert: 24.05.2005

Windows 10
BricsCAD V19

erstellt am: 22. Okt. 2019 15:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für muntafuner 10 Unities + Antwort hilfreich

Hallo,

Zu Punkt 1:
Das sollte doch mit SELECTSIMILAR gehen... Wenn das nicht das bringt, was du gerne hättest, musst du's vielleicht etwas genauer beschreiben.

Zu Punkt 2:
Das ist etwas komplizierter. Ich bin mir aber sicher, dass es dazu schon fertige Lisp's gibt.
Spontan (ungetestet) habe ich jetzt mal DAS HIER gefunden.
Ich könnte mir nur vorstellen, dass du da eventuell mit "exotischen" (dynamische, anonyme,...) Blöcken Probleme bekommst.

Gruß
Stefan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Vino
Mitglied



Sehen Sie sich das Profil von Vino an!   Senden Sie eine Private Message an Vino  Schreiben Sie einen Gästebucheintrag für Vino

Beiträge: 158
Registriert: 24.05.2005

Windows 10
BricsCAD V19

erstellt am: 22. Okt. 2019 15:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für muntafuner 10 Unities + Antwort hilfreich

Hallo nochmal,

Hab vorhin deinen P.S. übersehen.
Layerstatus kannst du in Scripts über den Befehl -LAYER im-, exportieren, speicherun und wiederherstellen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

muntafuner
Mitglied
Architekt


Sehen Sie sich das Profil von muntafuner an!   Senden Sie eine Private Message an muntafuner  Schreiben Sie einen Gästebucheintrag für muntafuner

Beiträge: 14
Registriert: 18.10.2019

Revit 2020/Autocad 2020/Autocad Architecture 2020

erstellt am: 22. Okt. 2019 15:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Stefan,

danke für deine Antwort!

Mit "selectsimilar" werden in der Zeichnung alle Schraffuren ausgewählt.

Ich möchte aber alle Schraffuren auf dem Layer "Poly_Muster" mit der Farbe zb. 156,73,0 auswählen und anschließend zb auf den Layer "Poly_Mauerwerk" mit der Farbe VonLayer legen. So sollte das mit insgesamt 4 verschiedenen Schraffurfarben funktionieren.

Hoffe das hat geholfen.

Danke und Gruß
Simon

Habe glabue ich, so etwas in die Richtung gefunden?!:

(defun c:test(/ blks objss objcol objent objlty)
(while (setq blks (ssget "_X" '((0 . "INSERT"))))
  (command "_.explode" blks)
; there was extra string
)
(setq objss(ssget "X") ; create SS of entities
    i 0) ; setq counter of entities to 0
(repeat(sslength objss) ; repeat as many entities in SS
(setq objent(entget(ssname objss i))) ; extract current entity
    (if (not (setq objcol (cdr (assoc 62 objent))))
      (setq objcol (cdr (assoc 62 (tblsearch "LAYER" (cdr (assoc 8 objent))))))
      ); end if
    (if (not (setq objlty (cdr (assoc 6 objent))))
      (setq objlty (cdr (assoc 6 (tblsearch "LAYER" (cdr (assoc 8 objent))))))
    ); end if
      (cond
        ((and (= objcol 8)(eq(strcase objlty) "CONTINUOUS"))
          (setq objent(subst(cons 8 "ISO_LIN_PIL")(assoc 8 objent)objent))
  ); condition #1 ends here
  ); end cond
      (cond
        ((and (= objcol 2)(eq(strcase objlty) "CONTINUOUS"))
          (setq objent(subst(cons 8 "ISO_LIN_UNI")(assoc 8 objent)objent))
  ); condition #2 ends here
  ); end cond
      (cond
        ((and (= objcol 252)(eq(strcase objlty) "CONTINUOUS"))
          (setq objent(subst(cons 8 "ISO_LIN_RET_SPR")(assoc 8 objent)objent))
  ); condition #3 ends here
  ); end cond
      (cond
        ((and (= objcol 3)(eq(strcase objlty) "HIDDEN"))
          (setq objent(subst(cons 8 "ISO_LIN_CON")(assoc 8 objent)objent))
  ); condition #4 ends here
  ); end cond
      (cond
        ((and (= objcol 252)(eq(strcase objlty) "CENTER"))
          (setq objent(subst(cons 8 "ISO_LIN_ASS")(assoc 8 objent)objent))
  ); condition #5 ends here
  ); end cond
    (entmod objent)
  (setq i(1+ i)) ; set counter to extract next entity from SS
); end repeat
(princ)
); end of c:test

nur habe ich das lisp nicht so zum Laufen bekommen wie ich das wollte.

[Diese Nachricht wurde von muntafuner am 22. Okt. 2019 editiert.]

[Diese Nachricht wurde von muntafuner am 22. Okt. 2019 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Vino
Mitglied



Sehen Sie sich das Profil von Vino an!   Senden Sie eine Private Message an Vino  Schreiben Sie einen Gästebucheintrag für Vino

Beiträge: 158
Registriert: 24.05.2005

Windows 10
BricsCAD V19

erstellt am: 22. Okt. 2019 15:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für muntafuner 10 Unities + Antwort hilfreich

Hallo,

gib mal SELECTSIMILAR (ohne Vorauswahl) ein und danach "E" für Einstellungen...

Um das Lisp zu überprüfen hab ich aktuell keine Zeit.... Versuch doch mal das aus meinem Link.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

muntafuner
Mitglied
Architekt


Sehen Sie sich das Profil von muntafuner an!   Senden Sie eine Private Message an muntafuner  Schreiben Sie einen Gästebucheintrag für muntafuner

Beiträge: 14
Registriert: 18.10.2019

Revit 2020/Autocad 2020/Autocad Architecture 2020

erstellt am: 22. Okt. 2019 16:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

mit selectsimilar funktioniert es leider nicht, auch nicht mit dem "E" für Einstellungen..

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Vino
Mitglied



Sehen Sie sich das Profil von Vino an!   Senden Sie eine Private Message an Vino  Schreiben Sie einen Gästebucheintrag für Vino

Beiträge: 158
Registriert: 24.05.2005

Windows 10
BricsCAD V19

erstellt am: 22. Okt. 2019 16:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für muntafuner 10 Unities + Antwort hilfreich

Dann solltest du deine Anforderungen vielleicht nochmal konkret beschreiben.

  • SELECTSIMILAR [ENTER] eingeben
  • E [ENTER] eingeben
  • Im Dialog "Ähnliche Einstellungen" Haken bei "Layer" und "Farbe" setzen... alle anderen Haken raus.
  • Dialog mit OK schließen
  • EIN Objekt wählen (Schraffur auf Layer X mit Farbe Y)

=> Es werden ALLE Objekte mit den gleichen Einstellungen (Objekttyp, Farbe, Layer) wie das gewählte selektiert.

Dann noch in den Eigenschaften die neuen Werte für Farbe und Layer setzen und gut ist.

Alternativ ginge das ganze noch mit der Schnellauswahl, Filter oder dann eben einem (Lisp-)Programm aber vielleicht erklärst du mal, was hier nicht so abläuft wie du es gerne hättest.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19462
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 22. Okt. 2019 16:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für muntafuner 10 Unities + Antwort hilfreich

Dann hast du einen Fehler gemacht, oder die Aufgabe lautet anders.

Du möchtest deinen Angaben zufolge als Filterkriterium
LAYER
FARBE
OBJEKTSTIL (in dem Fall die Schraffurmuster)

Und genau danach sollte dann SelectSimilar suchen (wenn du nicht mehr eingestellt hast und es dort weiter Unterschiede gibt.

Also: Beispiel-DWG und ggf. Scrrenshot deiner Einstlelung und/oder Ergebnisses, Dateien sparen oft viele Worte.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

muntafuner
Mitglied
Architekt


Sehen Sie sich das Profil von muntafuner an!   Senden Sie eine Private Message an muntafuner  Schreiben Sie einen Gästebucheintrag für muntafuner

Beiträge: 14
Registriert: 18.10.2019

Revit 2020/Autocad 2020/Autocad Architecture 2020

erstellt am: 22. Okt. 2019 16:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Test01.dwg

 
im Anhang ein Ausschnitt aus dem .dwg...

Wenn ihr nun die Schraffuren der Wände mit selectsimilar auswählt wählt er immer mehrere aus und nicht nur die mit der gewünschten Farbe..

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19462
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 22. Okt. 2019 17:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für muntafuner 10 Unities + Antwort hilfreich

Möchte nur kurzes Feedback geben zur Datei:
Zitat:
Original erstellt von cadffm:
Du möchtest deinen Angaben zufolge als Filterkriterium
LAYER
FARBE
OBJEKTSTIL
(in dem Fall die Schraffurmuster)
Und genau danach sollte dann SelectSimilar suchen (wenn du nicht mehr eingestellt hast und es dort weiter Unterschiede gibt)
Also: Beispiel-DWG und ggf. Scrrenshot deiner Einstlelung und/oder Ergebnisses, Dateien sparen oft viele Worte.

Ich testete mit einer Schraffur auf Poly_Muster, Mustername SOLID, Farbe 153,76,0
Ergebnis: 6 Objekte (Schraffuren) mit dieser Kombination an Eigenschaften

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Vino
Mitglied



Sehen Sie sich das Profil von Vino an!   Senden Sie eine Private Message an Vino  Schreiben Sie einen Gästebucheintrag für Vino

Beiträge: 158
Registriert: 24.05.2005

Windows 10
BricsCAD V19

erstellt am: 22. Okt. 2019 17:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für muntafuner 10 Unities + Antwort hilfreich

Ich hab hier zwar BricsCAD, aber bei mir läuft das mit SELECTSIMILAR in deiner DWG einwandfrei.

Du wählst schon nur EIN Objekt aus, das auch die gewünschte Farbe hat?

Gib mal SELECTSIMILARMODE ein... Was steht da?
Oder schick mal einen Screenshot des Einstellungs-Dialogs von SELECTSIMILAR.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

muntafuner
Mitglied
Architekt


Sehen Sie sich das Profil von muntafuner an!   Senden Sie eine Private Message an muntafuner  Schreiben Sie einen Gästebucheintrag für muntafuner

Beiträge: 14
Registriert: 18.10.2019

Revit 2020/Autocad 2020/Autocad Architecture 2020

erstellt am: 22. Okt. 2019 17:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


test2.JPG

 
bei mir sieht das so aus...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Vino
Mitglied



Sehen Sie sich das Profil von Vino an!   Senden Sie eine Private Message an Vino  Schreiben Sie einen Gästebucheintrag für Vino

Beiträge: 158
Registriert: 24.05.2005

Windows 10
BricsCAD V19

erstellt am: 22. Okt. 2019 17:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für muntafuner 10 Unities + Antwort hilfreich

OK... Dass du nur ein Objekt gewählt hast, steht unten in der Befehlszeile.

Dann kann es meiner Meinung nach nur an den Einstellungen liegen.

Gib mal SELECTSIMILARMODE ein. Was steht da als Wert?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

muntafuner
Mitglied
Architekt


Sehen Sie sich das Profil von muntafuner an!   Senden Sie eine Private Message an muntafuner  Schreiben Sie einen Gästebucheintrag für muntafuner

Beiträge: 14
Registriert: 18.10.2019

Revit 2020/Autocad 2020/Autocad Architecture 2020

erstellt am: 22. Okt. 2019 17:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Bin nicht mehr im Büro - habe aber vorher noch nachgeschaut - da stand <130>

PS: ich sollte das Ganze dann in einem Lisp haben, da ich im Laufe dieses Projektes ca 200 solche Pläne so bearbeiten sollte.

[Diese Nachricht wurde von muntafuner am 22. Okt. 2019 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19462
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 22. Okt. 2019 17:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für muntafuner 10 Unities + Antwort hilfreich

>"habe aber vorher noch nachgeschaut - da stand <130>"

Was dann (im Fall der Auswahl einer Schraffur) bedeutet: Suche mir einfach alle Objekte auf demselben Layer.

Hinweis: Du solltest dir die Einstellungen nicht nur ansehen und ignorieren,
sondern auch verstehen und entsprechend der Zielsetzung einstellen.

Also, Layer Farbe + Objektstil wäre dann der Wert 67.


Hier noch mal die Hilfe:
[F1] SelectSimilarMode

Hier noch mal die Hilfe:
[F1] SelectSimilar/Einstellungsdialog (falls einem die Werte für SelectSimilarMode nicht geläufig sind)


Aller Anfang .. und so, ist klar 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19462
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 22. Okt. 2019 17:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für muntafuner 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von muntafuner:
Bin nicht mehr im Büro - habe aber vorher noch nachgeschaut - da stand <130>
PS: ich sollte das Ganze dann in einem Lisp haben, da ich im Laufe dieses Projektes ca 200 solche Pläne so bearbeiten sollte.
[Diese Nachricht wurde von muntafuner am 22. Okt. 2019 editiert.]

Mit deiner kompletten Aufgabe bist du schon im Bereich in dem man anfangen muß zu programmieren (oder vorh. Programmerweiterungen nutzen),
denn spätestens "in Blöcken" ist Schluß.
Ob 100 Dateien oder nicht ist egal, das kannst du auch ohne AutoCAD-interne Programmierung machen,
aber bei deinen Aufgaben kommst du nicht weiter oder nur sehr umständlich, also könntest gleich anfangen
mit Lisp VBA .net c++

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

muntafuner
Mitglied
Architekt


Sehen Sie sich das Profil von muntafuner an!   Senden Sie eine Private Message an muntafuner  Schreiben Sie einen Gästebucheintrag für muntafuner

Beiträge: 14
Registriert: 18.10.2019

Revit 2020/Autocad 2020/Autocad Architecture 2020

erstellt am: 22. Okt. 2019 17:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Eben.. mit habe heute den lieben langen Tag nach einer brauchbaren lisp gesucht, aber nichts gefunden..

Um eine/n Denkanstoß/Vorlage in diese Richtung wäre ich sehr dankbar !

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Meldin
Mitglied



Sehen Sie sich das Profil von Meldin an!   Senden Sie eine Private Message an Meldin  Schreiben Sie einen Gästebucheintrag für Meldin

Beiträge: 302
Registriert: 15.07.2011

ACA2018
Windows10

erstellt am: 22. Okt. 2019 23:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für muntafuner 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von muntafuner:
Des Weiteren wäre es super, wenn ich gleichzeitig alle Schraffuren aus sämtlichen Blöcken löschen könnte ohne, dass ich dabei die Blöcke auflösen muss.
Also es poppen momentan so viele Beiträge dazu auf das es schon unglaublich ist das du diese so großzügig überlesen hast. <selbst wenn der zeitaufwand hier ca. 1 std ist hättes du den Rest des Tages damit verbringen können die sprache zu lernen. und da wärst du wahrscheinlich ziemlich schnell dazugekommen einen Auswahlsatz zu erfassen und zu ändern. Und der Tag hätte erfolgreich geendet.

------------------
Gruß Wolfgang

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

muntafuner
Mitglied
Architekt


Sehen Sie sich das Profil von muntafuner an!   Senden Sie eine Private Message an muntafuner  Schreiben Sie einen Gästebucheintrag für muntafuner

Beiträge: 14
Registriert: 18.10.2019

Revit 2020/Autocad 2020/Autocad Architecture 2020

erstellt am: 23. Okt. 2019 07:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von Meldin:
Also es poppen momentan so viele Beiträge dazu auf das es schon unglaublich ist das du diese so großzügig überlesen hast. <selbst wenn der zeitaufwand hier ca. 1 std ist hättes du den Rest des Tages damit verbringen können die sprache zu lernen. und da wärst du wahrscheinlich ziemlich schnell dazugekommen einen Auswahlsatz zu erfassen und zu ändern. Und der Tag hätte erfolgreich geendet.


das ist ja auch nicht mein Hauptproblem    das es diesbezüglich schon einige andere Beiträge gibt ist mir schon aufgefallen 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Meldin
Mitglied



Sehen Sie sich das Profil von Meldin an!   Senden Sie eine Private Message an Meldin  Schreiben Sie einen Gästebucheintrag für Meldin

Beiträge: 302
Registriert: 15.07.2011

ACA2018
Windows10

erstellt am: 23. Okt. 2019 08:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für muntafuner 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von muntafuner:
das ist ja auch nicht mein Hauptproblem    das es diesbezüglich schon einige andere Beiträge gibt ist mir schon aufgefallen 

Also zu allen geschilderten Angaben / Aufgaben :
1. Layerstatus
2. Schraffuren auf dem Layer Poly_Muster mit der Farbe 241,227,215 auswählen und auf meinen Layer "Poly_Stahlbeton" mit der Farbe VonLayer setzen
3. Schraffuren aus sämtlichen Blöcken löschen
hast du doch nun Antworten erhalten und jetzt kommst du an mit
Zitat:
das ist ja auch nicht mein Hauptproblem
 
also was jetzt ?     

------------------
Gruß Wolfgang

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19462
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 23. Okt. 2019 08:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für muntafuner 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Meldin:
Also zu allen geschilderten Angaben / Aufgaben :
     2. Schraffuren auf dem Layer Poly_Muster mit der Farbe 241,227,215 auswählen und auf meinen Layer "Poly_Stahlbeton" mit der Farbe VonLayer setzen
hast du doch nun Antworten erhalten

Ja, aber dann änderte sich die Anforderung zu "sollte in einem Script laufen",
was zwar mit SelectSimilar möglich ist, aber sehr kompliziert ist.

@Simon
Schau dir als erstes die Objektwahl in Lisp an, Lispfunktion SSGET dazu müssen die die
AutoLISP-Objekteigenschaften bekannt sein, welche nahezu 1:1 dem DXF-Modell entspricht.
Befehl: (entget(car(entsel)))  <-- Klicke deine Schraffur an
Schau dir die Objektdaten an (du wirst Objekttyp, Schraffurmuster und Layer finden),
diese Objektdaten wirst du für die Filterliste in SSGET benötigen.
Dann schaust du dir die DXF-Dokumentation zu SCHRAFFUR (DXF) an - und natürlich zu SSGET (AutoLisp).

Jetzt bist du ein Stück weiter, findest aber noch nichts zur Farbe.
Schau in die Liste der Gruppencodes an (in nummerischer Reihenfolge)

Gruppencode 62 420 430
Du möchtest TrueColor-Filtern, dann also den 420er [wobei man eigentlich Objekte mit dem 430er ausschließen müßte, aber lassen wir das]

Selbst wenn SSGET funktioniert wirst du nichts von dem Ergebnis sehen da SSGET nur Auswahlsätze erstellt und keine Markierungssätze,
du könntest jedoch mit WAHL VOHER darauf zugreifen beim testen (wenn PICKADD auf 2 steht), da wird aber bereits LISP verwenden
nehmen wir einfach noch eine Funktion hinzu: SSSETFIRST, damit siehst du beim Testen auch gleich das Ergebnis.

(ssget "_X" '((0 . "LINE")))
Auswahlsatz VORHER verweist auf alle Linien oder ist nicht vorhanden (wenn es keine unverschachtelten Linien gibt)
(sssetfirst nil (ssget "_X" '((0 . "LINE")))) ; alle Linien
Zeigt dir das Ergebnis in Form von Objektmarkierungen an.


Hier breche ich mal ab. 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

muntafuner
Mitglied
Architekt


Sehen Sie sich das Profil von muntafuner an!   Senden Sie eine Private Message an muntafuner  Schreiben Sie einen Gästebucheintrag für muntafuner

Beiträge: 14
Registriert: 18.10.2019

Revit 2020/Autocad 2020/Autocad Architecture 2020

erstellt am: 23. Okt. 2019 09:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@cadffm

vielen Dank für die ausführliche Antwort und deine Zeit! 

Werde dies demnächst probieren - sobald ich wieder ein Zeitfenster für dieses Projekt habe.

Melde mich dann wieder!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Meldin
Mitglied



Sehen Sie sich das Profil von Meldin an!   Senden Sie eine Private Message an Meldin  Schreiben Sie einen Gästebucheintrag für Meldin

Beiträge: 302
Registriert: 15.07.2011

ACA2018
Windows10

erstellt am: 23. Okt. 2019 10:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für muntafuner 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von cadffm:


    Zitat:Original erstellt von Meldin:
    Also zu allen geschilderten Angaben / Aufgaben :
        2. Schraffuren auf dem Layer Poly_Muster mit der Farbe 241,227,215 auswählen und auf meinen Layer "Poly_Stahlbeton" mit der Farbe VonLayer setzen
    hast du doch nun Antworten erhalten

Ja, aber dann änderte sich die Anforderung zu "sollte in einem Script laufen",
was zwar mit SelectSimilar möglich ist, aber sehr kompliziert ist.



@Sebastian
weiß jetzt nicht ob du mich meintest oder mich nur zitiert hast.
Aber da habe ich im weitesten sinne auch schon drauf hingewiesen.
Zitat:
die sprache zu lernen. und da wärst du wahrscheinlich ziemlich schnell dazugekommen einen Auswahlsatz zu erfassen und zu ändern.

Aber egal mit deiner Anleitung kann Simon erst einmal starten und wenn er das so umsetzten kann dann werden wir sehen was noch kommt.
Und von dir und anderen schwirren einige Tool für das Block Problem hier herum

------------------
Gruß Wolfgang

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

muntafuner
Mitglied
Architekt


Sehen Sie sich das Profil von muntafuner an!   Senden Sie eine Private Message an muntafuner  Schreiben Sie einen Gästebucheintrag für muntafuner

Beiträge: 14
Registriert: 18.10.2019

Revit 2020/Autocad 2020/Autocad Architecture 2020

erstellt am: 07. Nov. 2019 09:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

habe die Lösung für mein Problem gefunden:

(defun _hatchcolorstolayer (lst / a d tc)
  ;; Test
  (vl-load-com)
  (vlax-for l (vla-get-layers (setq d (vla-get-activedocument (vlax-get-acad-object))))
    (cond ((= -1 (vlax-get l 'lock)) (vlax-put l 'lock 0) (setq a (cons l a))))
  )
  (vlax-for b (vla-get-blocks d)
    (if (= 0 (vlax-get b 'isxref))
      (vlax-for o b
(cond ((and (= (vla-get-objectname o) "AcDbHatch")
    (setq tc (vla-get-truecolor o))
    (setq tc (mapcar '(lambda (x) (vlax-get tc x)) '(red green blue)))
    (setq ln (cadr (assoc tc lst)))
      )
      (or (tblobjname "layer" ln)
  (entmakex (append (entget (vlax-vla-object->ename o)) (list (cons 8 ln))))
      )
      (vl-catch-all-apply 'vla-put-layer (list o ln))
      )
)
      )
    )
  )
  (foreach l a (vlax-put l 'lock -1))
  (princ)
)
;; Schraffurliste
(_hatchcolorstolayer
  '(((128 210 4) "Poly_Stahlbeton") ((153 76 0) "Poly_Mauerwerk") ((245 245 235) "TEST"))
)

so funktioniert es einwandfrei - Danke euch trotzdem für die zahlreichen Lösungsvorschläge und Anmerkungen zu diesem Thema :-)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19462
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 07. Nov. 2019 10:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für muntafuner 10 Unities + Antwort hilfreich

Wunderbar!
Aber deine Anforderung scheint sich geändert zu haben.

>"Nun möchte ich zum Beispiel alle Schraffuren auf dem Layer Poly_Muster mit der Farbe 241,227,215 auswählen"
- Aktuell wird der Layer auf dem ein Objekt liegt nicht berücksichtigt. ALLE Schraffuren mit FarbeX werden bearbeitet.

>"und auf meinen Layer "Poly_Stahlbeton" mit der Farbe VonLayer setzen."
- Nicht vergessen: Es werden aktuell keine Farben geändert, lediglich der Layer des Objektes.

Freut mich ,  wenn die Anforderung mit den Blöcken noch besteht
würde ich das ganze etwas anders gestalten. Es würde keinen Sinn machen alle Objekte der Datei zu durchlaufen wenn man
nur die TopLevel Schraffuren ändern möchte, um dann später (deine andere Aufgabe) die Blöcke erneut zu durchlaufen um dann
alle Schraffuren zu löschen.
[TopLevel: Die Schraffuren welche nicht in Blöcken stecken]

ANM: ALLE Schraffuren ALLER Blöcke würde ich dann ohnehin nicht einfach so löschen, ein paar Filter sollte man schon einbauen.
Auch wenn es zu den aktuellen Plänen passt und keine Probleme bereitet, so würde man dieses Tool doch immer wieder einsetzen
und irgenwann hat man dann unnötige Probleme damit.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19462
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 07. Nov. 2019 12:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für muntafuner 10 Unities + Antwort hilfreich

Und noch eine Kleinigkeit(?),
deine Zeilen prüfen den RGB-Wert der Farbe, das ist aber nicht gleichbedeutend mit dem Wert der AutoCAD-Objektfarbe!

Ein Objekt mit Farbe 153,76,0 wird wir gewünscht bearbeitet,
Objekte mit Farbe 34 aber ebenfalls! KANN gewünscht sein, muß es aber nicht.

Und auch hier:
Auch wenn es zu den aktuellen Plänen passt und keine Probleme bereitet, so würde man dieses Tool doch immer wieder einsetzen
und irgenwann hat man dann unnötige Probleme damit.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz